Bug 166421 - Installed language info not used after install
Installed language info not used after install
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: anaconda (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-20 16:54 EDT by Jos Vos
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-22 13:21:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jos Vos 2005-08-20 16:54:18 EDT
Description of problem:
When the install is done with a certain set of supported languages, this set is
only saved in /etc/sysconfig/i18n (env var "SUPPORTED"), but not used in
subsequent rpm operations, so any rpm operation (upgrade/install packages) will
install all languages.

Version-Release number of selected component (if applicable):
10.1.1.19-1

Steps to Reproduce:
1. Install RHEL4 U1 with a selected set of supported languages.
2. After installation, install/upgrade an rpm package with different language files
3. Now all language files of the installed/upgraded rpm's appear to be
installed, also for the not supported languages
 
Solution:
Let Anaconda write a file /etc/rpm/macros.lang at installation time with the
correct language set, e.g.

%_install_langs      en:nl

This seems to work fine.
Comment 1 Jeremy Katz 2005-08-22 13:21:47 EDT
This is intentional.  If you set %_install_langs, then there is no reasonable
way to add support for a new language after installation.
Comment 2 Jos Vos 2005-08-23 04:59:10 EDT
Can you explain?

At this moment you can not add support for a new language either, as the
installed files for the existing packages won't change (and this will never
change, I guess).

Now it's inconsistent: at install only the chosen subset is installed, after
that all languages are installed.

In my proposal at least all packages are installed the same way: during and
after installation.

And "adding a supported language" afterwards would mean changing SUPPORTED in
/etc/sysconfig/i18n and %_install_langs in /etc/rpm/macros.lang.  This will not
have effect on the installed packages, but that's the same as it is now.
Comment 3 Jeremy Katz 2005-08-23 10:44:36 EDT
We don't set %_install_langs in the install anymore either.  Take a look in
anaconda/language.py and you'll see all the references to %_install_langs are
commented out.

If we were still setting %_install_langs, then yes, this would make all kinds of
sense to do.
Comment 4 Jos Vos 2005-08-23 10:52:28 EDT
Hmmm... yes, I missed that, sorry for the confusion.

So, having language-specific files in an rpm is more-or-less useless, as only
complete rpm's are skipped via the language tags in comps.xml, right?

Note You need to log in before you can comment on or make changes to this bug.